# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Classes

* [`meraki`](#meraki): 
* [`meraki::install`](#merakiinstall): Private class

## Resource types

* [`meraki_admin`](#meraki_admin): This type provides Puppet with the capabilities to manage Administators on the Meraki Dashboard
* [`meraki_vlan`](#meraki_vlan): This type provides Puppet with the capabilities to manage VLANs on the Meraki Dashboard

## Tasks

* [`list_networks`](#list_networks): List the organizations that the user has privileges on
* [`list_orgs`](#list_orgs): List the organizations that the user has privileges on

## Classes

### meraki

The meraki class.

### meraki::install

Private class

## Resource types

### meraki_admin

This type provides Puppet with the capabilities to manage Administators on the Meraki Dashboard

#### Properties

The following properties are available in the `meraki_admin` type.

##### `ensure`

Data type: `Enum[present, absent]`

Resource is ensurable (present, absent).

Default value: present

##### `fullname`

Data type: `String`

The name of the dashboard administrator

##### `id`

Data type: `Integer`

ID of administrator

##### `orgaccess`

Data type: `Enum["full","read-only","none"]`

The privilege of the dashboard administrator on the organization (full, read-only, none)

##### `networks`

Data type: `Optional[Array[Hash]]`

The list of networks that the dashboard administrator has privileges on.  Contains the network ID, and privilege of the dashboard administrator on the network

##### `tags`

Data type: `Optional[Array[Hash]]`

The list of tags that the dashboard administrator has privileges on.  Contains the name of the tag and access privilege of the dashboard administrator on the tag

#### Parameters

The following parameters are available in the `meraki_admin` type.

##### `email`

namevar

Data type: `String`

The email of the dashboard administrator. This attribute can not be updated.

### meraki_vlan

This type provides Puppet with the capabilities to manage VLANs on the Meraki Dashboard

#### Properties

The following properties are available in the `meraki_vlan` type.

##### `ensure`

Data type: `Enum[present, absent]`

Resource is ensurable (present, absent).

Default value: present

##### `description`

Data type: `String`

The name of the VLAN

##### `subnet`

Data type: `String`

The subnet of the VLAN

##### `applianceip`

Data type: `String`

The local IP of the appliance on the VLAN

##### `fixedipassignments`

Data type: `Optional[Variant[Enum[unset], Hash]]`

The DHCP fixed IP assignments on the VLAN. Can be removed via \'unset\' or empty Hash

##### `reservedipranges`

Data type: `Optional[Variant[Enum[unset], Array[Hash]]]`

The DHCP reserved IP ranges on the VLAN.  Can be removed via \'unset\' or empty Array

##### `vpnnatsubnet`

Data type: `Optional[String]`

The translated VPN subnet if VPN and VPN subnet translation are enabled on the VLAN.

##### `dnsnameservers`

Data type: `String`

The DN nameservers used for DHCP responses, either "upstream_dns", "google_dns", "opendns", or a newline seperated string of IP addresses or domain names.

Default value: upstream_dns

#### Parameters

The following parameters are available in the `meraki_vlan` type.

##### `id`

namevar

Data type: `String`

The VLAN ID (must be between 1 and 4094)

## Tasks

### list_networks

List the organizations that the user has privileges on

**Supports noop?** false

#### Parameters

##### `key`

Data type: `String[1]`

API Key for Meraki Dashboard

##### `organization`

Data type: `Optional[String[1]]`

Organization ID

### list_orgs

List the organizations that the user has privileges on

**Supports noop?** false

#### Parameters

##### `key`

Data type: `String[1]`

API Key for Meraki Dashboard

